=== debian/control ===
Source: ros-iron-controller-manager
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-cmake-python, ros-iron-ament-index-cpp, ros-iron-backward-ros, ros-iron-controller-interface, ros-iron-controller-manager-msgs, ros-iron-diagnostic-updater, ros-iron-hardware-interface, ros-iron-launch, ros-iron-launch-ros, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rcpputils, ros-iron-realtime-tools, ros-iron-ros2-control-test-assets, ros-iron-ros2-control-test-assets <!nocheck>, ros-iron-ros2param, ros-iron-ros2run, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-index-cpp, ros-iron-backward-ros, ros-iron-controller-interface, ros-iron-controller-manager-msgs, ros-iron-diagnostic-updater, ros-iron-hardware-interface, ros-iron-launch, ros-iron-launch-ros, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rcpputils, ros-iron-realtime-tools, ros-iron-ros2-control-test-assets, ros-iron-ros2param, ros-iron-ros2run, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Description of controller_manager
